> ## Documentation Index
> Fetch the complete documentation index at: https://docs.useparagon.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Message Reaction Removed

> Trigger when a reaction is removed from an message in Slack

## Subscribe

Send this request body to [Subscribe to a Trigger](/actionkit/triggers/api-reference/subscribe-to-trigger) to start listening for this event on behalf of your user:

```http Subscribe Request theme={null}
POST https://actionkit.useparagon.com/projects/{project_id}/trigger-subscriptions

Authorization: Bearer {Paragon User Token}
Content-Type: application/json

{
  "integration": "slack",
  "type": "SLACK_TRIGGER_REACTION_REMOVED",
  "parameters": {
    "reactionFilter": {
      "operator": "OR",
      "conditions": [
        {
          "operator": "AND",
          "conditions": [
            {
              "field": "item_user",
              "operator": "$stringExactlyMatches",
              "value": "example-value"
            }
          ]
        }
      ]
    }
  }
}
```

**Configuration options:**

<ParamField path="reactionFilter" type="CONDITIONAL">
  Search for reactions that match specified filters.

  * Supported filter fields: `item_user`, `user`, `channel`
  * Supported operators: `$stringExactlyMatches`, `$stringDoesNotExactlyMatch`
</ParamField>

## Example Payload

This is an example payload that Paragon sends to your configured webhook URL. Learn more about handling trigger payloads in [Receiving Webhooks](/actionkit/triggers/receiving-webhooks).

```json Example expandable theme={null}
{
  "type": "reaction_removed",
  "user": "U123ABC456",
  "reaction": "thumbsup",
  "item_user": "U222222222",
  "item": {
    "type": "message",
    "channel": "C123ABC456",
    "ts": "1360782400.498405"
  },
  "event_ts": "1360782804.083113",
  "event_context": "mock-event-context"
}
```
